Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.audit
Enum AuditableOperation

    java.lang.Object
      java.lang.Enum<AuditableOperation>
          org.apache.openjpa.audit.AuditableOperation

All Implemented Interfaces:
  Serializable, Comparable<AuditableOperation>

    public enum AuditableOperation

extends Enum<AuditableOperation>

Operations of persistent type that can be audited.

Author:
  Pinaki Poddar

Enum Constant Summary
`ALL`
`CREATE`
`DELETE`
`UPDATE`

Method Summary
`static AuditableOperation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuditableOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final AuditableOperation CREATE

### UPDATE

    public static final AuditableOperation UPDATE

### DELETE

    public static final AuditableOperation DELETE

### ALL

    public static final AuditableOperation ALL

Method Detail

### values

    public static AuditableOperation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AuditableOperation c : AuditableOperation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AuditableOperation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.